# Spoofchecker::isSuspicious

(PHP 5 >= 5.4.0, PHP 7, PECL intl >= 2.0.0)

Spoofchecker::isSuspicious — Checks if a given text contains any suspicious characters

### Description

public Spoofchecker::isSuspicious ( string `$text` [, string `&$error` ] ) : bool

Checks if given string contains any suspicious characters like letters which are almost identical visually, but are Unicode characters from different sets.

### Parameters

`text`

  String to test.

`error`

  This variable is set by-reference to string containing an error, if there were any.

### Return Values

Returns `TRUE` if there are suspicious characters, `FALSE` otherwise.

### Examples

Example #1 Spoofchecker::isSuspicious() example

`<?php
$checker = new Spoofchecker();
$checker->isSuspicious('google.com'); // FALSE: only ASCII characters
$checker->isSuspicious('Рaypal.com'); // TRUE
// The first letter is from Cyrylic, not a regular latin "P"`